Quantcast

Jump to content

» «
Photo

[REL|BIN/SRC|Beta] SparkIV

910 replies to this topic
DerPlaya78
  • DerPlaya78

    Player Hater

  • Members
  • Joined: 04 Jan 2009

#511

Posted 20 March 2009 - 09:12 PM

I'm just helping a bit... aru is doing the work.
I think model import is will have to a while longer. Opening/export is not 100% complete yet, there are still many unknown things and import will be a lot more complex...

~Vic Vance~
  • ~Vic Vance~

    Just call me Tom

  • Members
  • Joined: 12 Dec 2007

#512

Posted 21 March 2009 - 01:18 PM

Just to mention it, we need a new version of Spark because of the title update.

Thanks in advance,
Tom

jjcoolj91
  • jjcoolj91

    "Snipin's a good job mate...Challenging Work."

  • Members
  • Joined: 13 Nov 2007

#513

Posted 21 March 2009 - 03:34 PM

QUOTE (DerPlaya78 @ Mar 20 2009, 14:12)
I'm just helping a bit... aru is doing the work.
I think model import is will have to a while longer. Opening/export is not 100% complete yet, there are still many unknown things and import will be a lot more complex...

i see i see,hope you can figure out how to get something done with that
but it would be nice to see some new addition on SparkIV modding support, were bored out of our mind waiting for something new

gamerzworld
  • gamerzworld

    Why did I move here? I guess it was to bounce.

  • Members
  • Joined: 29 Nov 2005

#514

Posted 21 March 2009 - 05:38 PM

Compiled a version that finds the key in the version 3 exe.
http://gzwn.net/Docu...IV 0.6.2 r2.rar

Aru, new key offset is at 0xB75C9C.

~Vic Vance~
  • ~Vic Vance~

    Just call me Tom

  • Members
  • Joined: 12 Dec 2007

#515

Posted 22 March 2009 - 07:16 AM

Thanks man,

It might be just me but it doesn't want to start up.
I get an error when I try too but it isn't the one saying that your gtaiv.exe has been modified or something like that.

Does anyone else have this problem?

grtz
Tom

aoxsystems
  • aoxsystems

    www.xssed.com

  • Members
  • Joined: 31 Jan 2008

#516

Posted 22 March 2009 - 10:35 AM

QUOTE (~Vic Vance~ @ Mar 22 2009, 07:16)
Thanks man,

It might be just me but it doesn't want to start up.
I get an error when I try too but it isn't the one saying that your gtaiv.exe has been modified or something like that.

Does anyone else have this problem?

grtz
Tom

same here,it worked fine before 1.0.3.0 patch

gtafirestorm
  • gtafirestorm

    Player Hater

  • BUSTED!
  • Joined: 16 Mar 2009

#517

Posted 22 March 2009 - 11:07 AM

QUOTE (aoxsystems @ Mar 22 2009, 02:35)
QUOTE (~Vic Vance~ @ Mar 22 2009, 07:16)
Thanks man,

It might be just me but it doesn't want to start up.
I get an error when I try too but it isn't the one saying that your gtaiv.exe has been modified or something like that.

Does anyone else have this problem?

grtz
Tom

same here,it worked fine before 1.0.3.0 patch

If you are making sparkiv work with the new patch you are breaking forum rules! Well hell the whole program breaks forum rules and even just mods in general break the forum rules.... Look here and see what a GTA forums mod has to say about making mods work with GTAIV and it's new patch: http://www.gtaforums...entry1059081683

red caste
  • red caste

    Player Hater

  • Members
  • Joined: 13 Mar 2009

#518

Posted 22 March 2009 - 11:44 AM

Nevermind, xD

gamerzworld
  • gamerzworld

    Why did I move here? I guess it was to bounce.

  • Members
  • Joined: 29 Nov 2005

#519

Posted 22 March 2009 - 03:21 PM Edited by gamerzworld, 22 March 2009 - 03:24 PM.

QUOTE (gtafirestorm @ Mar 22 2009, 06:07)
QUOTE (aoxsystems @ Mar 22 2009, 02:35)
QUOTE (~Vic Vance~ @ Mar 22 2009, 07:16)
Thanks man,

It might be just me but it doesn't want to start up.
I get an error when I try too but it isn't the one saying that your gtaiv.exe has been modified or something like that.

Does anyone else have this problem?

grtz
Tom

same here,it worked fine before 1.0.3.0 patch

If you are making sparkiv work with the new patch you are breaking forum rules! Well hell the whole program breaks forum rules and even just mods in general break the forum rules.... Look here and see what a GTA forums mod has to say about making mods work with GTAIV and it's new patch: http://www.gtaforums...entry1059081683

I know that he's been banned but I'll still explain. If you read the EULA of just about any game, it basically says you can't mod the game. Are they really going to come after you if you mod the game? No. Then why do they put that in the EULA? Simple. To cover their asses if they get sued over some kind of mod. They can just say the person violated the EULA and the charges have to be dropped.

@ ~Vic Vance~ & aoxsystems
The current version posted by Aru hasn't been updated to find the encryption key in the new exe. The version above Vic Vance I compiled with the new location.

fabio000
  • fabio000

    Square Civilian

  • Members
  • Joined: 08 Oct 2007

#520

Posted 24 March 2009 - 11:27 AM

Is there already support for V3?

gtaps2modder
  • gtaps2modder

    Crackhead

  • Members
  • Joined: 13 Feb 2009

#521

Posted 24 March 2009 - 11:46 AM

Btw, I am making encryptor with included R* AES key tounge.gif

PM me if somerbody interested)

simkas
  • simkas

    That guy

  • Members
  • Joined: 13 Dec 2006

#522

Posted 24 March 2009 - 01:43 PM

QUOTE (~Vic Vance~ @ Mar 22 2009, 07:16)
Thanks man,

It might be just me but it doesn't want to start up.
I get an error when I try too but it isn't the one saying that your gtaiv.exe has been modified or something like that.

Does anyone else have this problem?

grtz
Tom

Dude, look one post above yours.

fabio000
  • fabio000

    Square Civilian

  • Members
  • Joined: 08 Oct 2007

#523

Posted 24 March 2009 - 04:32 PM

Please make support for V3 so i can mod with this great tool

~Vic Vance~
  • ~Vic Vance~

    Just call me Tom

  • Members
  • Joined: 12 Dec 2007

#524

Posted 24 March 2009 - 04:32 PM

QUOTE (simkas @ Mar 24 2009, 15:43)
QUOTE (~Vic Vance~ @ Mar 22 2009, 07:16)
Thanks man,

It might be just me but it doesn't want to start up.
I get an error when I try too but it isn't the one saying that your gtaiv.exe has been modified or something like that.

Does anyone else have this problem?

grtz
Tom

Dude, look one post above yours.

I had downloaded it but it wouldn't start up.
I've allready found the problem, my external hard drive wasn't switched on.
That's why it wouldn't start up (my IV is on my external hard drive).

grtz
Tom

@fabio000: Check previous page man

fabio000
  • fabio000

    Square Civilian

  • Members
  • Joined: 08 Oct 2007

#525

Posted 24 March 2009 - 05:45 PM

QUOTE (~Vic Vance~ @ Mar 24 2009, 16:32)

@fabio000: Check previous page man

Oops i past it sorry and thanks

Street Mix
  • Street Mix

    Boss

  • Members
  • Joined: 30 Mar 2008
  • Canada

#526

Posted 25 March 2009 - 09:50 PM Edited by Street Mix, 25 March 2009 - 09:53 PM.

So no SparkIV for the Patch 1.0.3? confused.gif
Make please working audio extractor at least. I don't need more. Or tell me how to extract the music in the other way?

gamerzworld
  • gamerzworld

    Why did I move here? I guess it was to bounce.

  • Members
  • Joined: 29 Nov 2005

#527

Posted 25 March 2009 - 09:58 PM

QUOTE (Street Mix @ Mar 25 2009, 16:50)
So no SparkIV for the Patch 1.0.3? confused.gif
Make please working audio extractor at least. I don't need more. Or tell me how to extract the music in the other way?

*faceplam* Look at the posts above you.

FixJom
  • FixJom

    Player Hater

  • Members
  • Joined: 28 Jul 2008

#528

Posted 30 March 2009 - 08:10 AM

Good update for Windows 7! colgate.gif

Ven1k
  • Ven1k

    Player Hater

  • Members
  • Joined: 01 Apr 2009

#529

Posted 01 April 2009 - 01:07 PM

Hello, man_who_re-compile_SparkIV_0.6.2_for_1.0.3.0_patch.

I`m writing you about new version of SparkIV that you released. Yeah, it now support 1.0.3.0 version, but this is US version! What about RU - 1.0.2.1? Yes, US 1.0.3.0 = RU 1.0.2.1, but your version of SparkIV doesn`t work with RU version.

May be you can compile it for RU too? You can download GTAIV.exe from my RU 1.0.2.1 (that = US 1.0.3.0) here:

http://www.faf-csscl...Files/GTAIV.zip

Hope, you will made smth soon.

Hergonan
  • Hergonan

    Prankster

  • Members
  • Joined: 31 Aug 2005

#530

Posted 01 April 2009 - 01:12 PM

QUOTE (gtaps2modder @ Mar 24 2009, 11:46)
Btw, I am making encryptor with included R* AES key tounge.gif

PM me if somerbody interested)

Do not "include" the key in any of your projects, you can (and probably will) be in legal threat.
However, you can make your program look for the key itself.
Look at how sparkiv does it, and you'll see what I mean.

gtaps2modder
  • gtaps2modder

    Crackhead

  • Members
  • Joined: 13 Feb 2009

#531

Posted 01 April 2009 - 03:35 PM

QUOTE (Hergonan @ Apr 1 2009, 13:12)
Do not "include" the key in any of your projects, you can (and probably will) be in legal threat.
However, you can make your program look for the key itself.
Look at how sparkiv does it, and you'll see what I mean.

I am not afraid biggrin.gif biggrin.gif tounge.gif

gamerzworld
  • gamerzworld

    Why did I move here? I guess it was to bounce.

  • Members
  • Joined: 29 Nov 2005

#532

Posted 01 April 2009 - 07:49 PM

QUOTE (Ven1k @ Apr 1 2009, 08:07)
Hello, man_who_re-compile_SparkIV_0.6.2_for_1.0.3.0_patch.

I`m writing you about new version of SparkIV that you released. Yeah, it now support 1.0.3.0 version, but this is US version! What about RU - 1.0.2.1? Yes, US 1.0.3.0 = RU 1.0.2.1, but your version of SparkIV doesn`t work with RU version.

May be you can compile it for RU too? You can download GTAIV.exe from my RU 1.0.2.1 (that = US 1.0.3.0) here:


Hope, you will made smth soon.

Sorry about that. Updated version with V3 US and V2.1 RUS support.
http://gzwn.net/Docu...IV 0.6.2 r3.rar

Aru,
CODE

0xB75C9C /* 1.0.3 US */,
0xB76CB4 /* 1.0.2.1 RUS */,

Ven1k
  • Ven1k

    Player Hater

  • Members
  • Joined: 01 Apr 2009

#533

Posted 01 April 2009 - 08:24 PM

Big thanks - it works!

aruisgod
  • aruisgod

    Player Hater

  • BUSTED!
  • Joined: 02 Apr 2009

#534

Posted 02 April 2009 - 04:16 AM Edited by aruisgod, 02 April 2009 - 06:46 AM.

QUOTE (Ven1k @ Apr 1 2009, 20:24)
Big thanks - it works!

ZOMG IT WORKS!

It allowed me to change the weapon icons into new ones! Then I checked to see if I could play online in my 1.0.3.0 version of GTAIV and I could!

Aru you are a god for making mods possible in gtaiv 1.0.3.0 even thoe we were all told not to try and make mods playable online or to even look for a tool that would allow it in these forums as seen here: http://www.gtaforums...howtopic=403856

Incase that url gets removed or deleted this guy named gtafirestorm asked:


QUOTE (GTAFIRESTORM)
Is there a fix yet to allow mods to be used in multiplayer for the new patch rockstar released?
I would like to have the latest version of the game and have mods installed and still have access to multiplayer with out having to have a non modded version of my game installed!


And moderator DEXX said:

QUOTE (DEXX)
If we allowed a tool, or mod like that to exist, or the discussion of such a tool or mod, we would be helping people cheat, and going against the policies set forth by Rockstar Games. So don't look for it here.


I have a feeling this may happen next:

user posted image

Shadow-Link
  • Shadow-Link

    Li'l G Loc

  • Members
  • Joined: 01 Dec 2004
  • None

#535

Posted 02 April 2009 - 09:05 AM Edited by Prince-Link, 02 April 2009 - 09:07 AM.

Pretty sure Aru didn't create anything to make it possible to use mods in MP. The latest version that Aru released is 0.6.2 and that doesn't even support 1.0.3. The other versions are compiled by different people. Maybe the game doesn't check for texture mods.

aruisgod
  • aruisgod

    Player Hater

  • BUSTED!
  • Joined: 02 Apr 2009

#536

Posted 02 April 2009 - 09:34 AM Edited by aruisgod, 02 April 2009 - 02:08 PM.

QUOTE (Prince-Link @ Apr 2 2009, 09:05)
Pretty sure Aru didn't create anything to make it possible to use mods in MP. The latest version that Aru released is 0.6.2 and that doesn't even support 1.0.3. The other versions are compiled by different people. Maybe the game doesn't check for texture mods.

Ok noob when I clicked the download link for sparkiv it said r2 at the end of the file name and I installed the patch on a fresh game and modded it with the r2 version of sparkiv then I went into multiplayer and it loaded with mods installed. He just posted it april 1st and no it's not an april fools joke, test it like I did tonight it works on 1.0.3.0! And why would you even comment without checking it out first and seeing if it indeed worked because now you just look like a noobish little kid talking sh*t out your ass.... I played with modded weapon icons and modded grenades tonight online all thanks to Aru and SparkIV!!!!

Someone recompiled sparkiv version 0.6.2 and turned it into 0.6.2 r2 with support for gtaiv 1.0.3.0 and it makes mods work in multiplayer and it was available throught the offical link!

And if you look the post from the russian guy above I was not the first to comment that the tool was fixed!

switchisgod
  • switchisgod

    Player Hater

  • BUSTED!
  • Joined: 02 Apr 2009

#537

Posted 02 April 2009 - 10:40 AM Edited by switchisgod, 02 April 2009 - 02:11 PM.

QUOTE (aruisgod @ Apr 2 2009, 09:34)
QUOTE (Prince-Link @ Apr 2 2009, 09:05)
Pretty sure Aru didn't create anything to make it possible to use mods in MP. The latest version that Aru released is 0.6.2 and that doesn't even support 1.0.3. The other versions are compiled by different people. Maybe the game doesn't check for texture mods.

Ok noob when I clicked the download link for sparkiv it said r2 at the end of the file name and I installed the patch on a fresh game and modded it with the r2 version of sparkiv then I went into multiplayer and it loaded with mods installed. He just posted it april 1st and no it's not an april fools joke, test it like I did tonight it works on 1.0.3.0! And why would you even comment without checking it out first and seeing if it indeed worked because now you just look like a noobish little kid talking sh*t out your ass.... I played with modded weapon icons and modded grenades tonight online all thanks to Aru and SparkIV!!!!

Someone recompiled sparkiv version 0.6.2 and turned it into 0.6.2 r2 with support for gtaiv 1.0.3.0 and it makes mods work in multiplayer and it was available throught the offical link!

And if you look the post from the russian guy above I was not the first to comment that he fixed his tool!

First off aruisgod is right about one thing the old link to SparkIV did provide a link to a r2 version of SparkIV by ARU.

After the little prince-link guy posted I checked the sparkiv link thinking yeah why would he say that with out checking it first??? I knew it worked cause I already tested it! And it seems that the link for the r2 version got changed back to the old version, but not before my buddy Switch Designs was able to upload it to his site thanks to me telling him about it! The working version that "someone" posted eariler can be found here: gtaforlife forums! It's too bad that he got scared and changed the link back! His work is now forever on the net and he shouldn't of posted it if he didn't expect people to download it, save it, and upload it elsewhere! Next I bet you will try and blame it all on SD and say he changed the files but if you download it at look at the files you will see that it was all done by the creator of SparkIV and if you know anything about Switch he is strictly a modder not a tool creator!

Oh yeah and to aruisagod lol switchisgod is a better name lmfao!

BTW good job releasing your tool for 1.0.3.0 and making it look like you never did! I commend you ARU that takes talent but it's still yours and you know it rotflmfao!

switchisgod
  • switchisgod

    Player Hater

  • BUSTED!
  • Joined: 02 Apr 2009

#538

Posted 02 April 2009 - 10:50 AM Edited by switchisgod, 02 April 2009 - 11:00 AM.

QUOTE (gamerzworld @ Apr 1 2009, 19:49)
QUOTE (Ven1k @ Apr 1 2009, 08:07)
Hello, man_who_re-compile_SparkIV_0.6.2_for_1.0.3.0_patch.

I`m writing you about new version of SparkIV that you released. Yeah, it now support 1.0.3.0 version, but this is US version! What about RU - 1.0.2.1? Yes, US 1.0.3.0 = RU 1.0.2.1, but your version of SparkIV doesn`t work with RU version.

May be you can compile it for RU too? You can download GTAIV.exe from my RU 1.0.2.1 (that = US 1.0.3.0) here:


Hope, you will made smth soon.

Sorry about that. Updated version with V3 US and V2.1 RUS support.
http://gzwn.net/Docu...IV 0.6.2 r3.rar

Aru,
CODE

0xB75C9C /* 1.0.3 US */,
0xB76CB4 /* 1.0.2.1 RUS */,

Sry for the double post but also this is proof that ARU made a r2 version cause the russian guy complained so then ARU made a r3 version for the russian guy as seen above lmfao. There is even a link there still in my quote!

Damn I hate when people get caught doing something they should not have done and then try and hide it! Can we say BUSTED!!! hahahahhahhahahahahhaha muhahahaha

EDIT: HA HA now that quoted post was edited after I posted it and all admins can see that lmao stop tring to cover up your mistakes guys lmao!

gamerzworld
  • gamerzworld

    Why did I move here? I guess it was to bounce.

  • Members
  • Joined: 29 Nov 2005

#539

Posted 02 April 2009 - 10:59 AM Edited by gamerzworld, 02 April 2009 - 11:03 AM.

1. I'm not Aru. I'm not even close to the awesome level in C# Aru is...in fact, I hardly even know C#.
2. I didn't do anything more than find the new offsets for the AES key, put them into the latest version of the source code on the SVN, and compiled it.
3. The total some of my edits,
CODE

0xB75C9C /* 1.0.3 US */,
0xB76CB4 /* 1.0.2.1 RUS */,

The reason some mods are working? Rockstar didn't check for textures it seems. Dunno if that's the same for models or not.

switchisgod
  • switchisgod

    Player Hater

  • BUSTED!
  • Joined: 02 Apr 2009

#540

Posted 02 April 2009 - 11:02 AM

QUOTE (gamerzworld @ Apr 2 2009, 10:59)
1. I'm not Aru.
2. I didn't do anything more than find the new offsets for the AES key
3. The total some of my edits,
CODE

0xB75C9C /* 1.0.3 US */,
0xB76CB4 /* 1.0.2.1 RUS */,

The reason some mods are working? Rockstar didn't check for textures it seems. Dunno if that's the same for models or not.

Aww you know models work too and if you recomplied it then you must work with ARU because the old link for spark was updated eariler and now is not so unless you can change ARUs download link ARU is still to blame lmao!




5 user(s) are reading this topic

0 members, 5 guests, 0 anonymous users